#include <bits/stdc++.h>
#define int long long
using namespace std;

signed main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	string str;
	cin >> str;
	vector<int> arr(str.length());
	arr[0]=1;
	for (int i=1;i<arr.size();i++)
	{
		if (str[i-1]>str[i])
		{
			arr[i]=arr[i-1]+1;
		}
		else arr[i]=arr[i-1];
	}
	int k,l,r;
	cin >> k;
	for (int i=0;i<k;i++)
	{
		cin >> l >> r;
		l--;
		r--;
		cout << arr[r]-arr[l]+1 << endl;
	}
}